Bug 858706 - Configuration breaks badly if certain AD variables are missing
Configuration breaks badly if certain AD variables are missing
Status: CLOSED ERRATA
Product: CloudForms Common
Classification: Red Hat
Component: rubygem-ldap_fluff (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: beta4
: ---
Assigned To: Jordan OMara
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 09:18 EDT by Jordan OMara
Modified: 2014-11-09 17:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Certain Active Directory parameters, if missing, broke LDAP configuration even if not required. This fix is a minor script change that fixes the incorrect configuration values for Active Directory and FreeIPA. The configuration no longer breaks.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:56:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan OMara 2012-09-19 09:18:32 EDT
Certain Active Directory parameters, if missing, will break ldap configuration badly even if they are not needed.
Comment 1 Jordan OMara 2012-09-19 09:19:03 EDT
https://github.com/jsomara/ldap_fluff/commit/5afebbd547a653f70ccab48cf5672c23c38f9fbf

The bug also applied to some IPA settings!
Comment 2 Jordan OMara 2012-09-19 09:29:16 EDT
Note on how to reproduce:

1. Manually configure katello in ActiveDirectory mode.
2. Leave out "anon_queries" value
3. Observe breakage

1. Manually configure katello in IPA mode
2. Leave out "group_base" value
3. Observe breakage
Comment 4 Og Maciel 2012-11-06 12:44:58 EST
Verified:

* candlepin-0.7.8.1-1.el6cf.noarch
* candlepin-selinux-0.7.8.1-1.el6cf.noarch
* candlepin-tomcat6-0.7.8.1-1.el6cf.noarch
* katello-1.1.12-20.el6cf.noarch
* katello-all-1.1.12-20.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-12.el6cf.noarch
* katello-cli-common-1.1.8-12.el6cf.noarch
* katello-common-1.1.12-20.el6cf.noarch
* katello-configure-1.1.9-11.el6cf.noarch
* katello-glue-candlepin-1.1.12-20.el6cf.noarch
* katello-glue-pulp-1.1.12-20.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-2.el6cf.noarch
* pulp-1.1.14-1.el6cf.noarch
* pulp-common-1.1.14-1.el6cf.noarch
* pulp-selinux-server-1.1.14-1.el6cf.noarch
Comment 6 errata-xmlrpc 2012-12-04 14:56:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.